Subject: Re: [PATCH v4] fsmonitor: implement filesystem change listener for Linux

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 23 Feb 2026 07:34:00 +0100

On Sat, Feb 21, 2026 at 09:07:52AM -0800, Junio C Hamano wrote:
> Paul Tarjan <[email-masked]> writes:
> 
> >> I just noticed that the discussion thread went silent after this
> >> message.  Has the patch been reviewed and tested well to proceed,
> >> except for that meson-build support?
> >
> > I'd love to see it integrated upstream. Is there anything else you
> > need from me?
> >
> >> > This would also need the below patch to support Meson. Would be great if
> >> > you include it, otherwise I can send it as a separate patch once this
> >> > topic lands. Thanks!
> >
> > I'd prefer to take you up on the offer to send the meson support as a
> > separate patch.
> 
> This part of your message is one thing we needed from you to unblock
> ourselves, I guess.
> 
> Patrick, do you think you can help making this into two-patch
> series, the original one being the [PATCH 1/2] and update for
> meson-build in [PATCH 2/2]?

The changes I sent should be sufficient, so I'd propose to just roll
it into the v5 patch.

> > I'm unfamiliar with that system and the suggested
> > patch failed in CI on some dependency installation steps which felt
> > unrelated but I didn't want to debug.
> > https://github.com/git/git/actions/runs/20720903513
> 
> The topic has been in my tree near the tip of 'seen' and I do not
> think we saw CI failures coming from this topic.

Yeah, I think this was simply a flaky CI job. The "linux-reftable" job
has failed installing packages:

  Err:3 http://security.ubuntu.com/ubuntu questing-security/universe amd64 Packages
    404  Not Found [IP: 91.189.91.83 80]
    File has unexpected size (89328 != 89310). Mirror sync in progress? [IP: 91.189.91.83 80]
    Hashes of expected file:
     - Filesize:89310 [weak]
     - SHA256:16943889a9abc4aaeb0e701e99db0004ac0241de728183f7a2923bb7927b107b
     - SHA1:fac9e79fb36b57de3770e639c4b5bf9231342f15 [weak]
     - MD5Sum:8cf081c59fbb279da27867d94f2b9520 [weak]
    Release file created at: Mon, 05 Jan 2026 13:30:45 +0000

And all the other jobs simply got aborted because of that initial
failure. In any case, the changes work alright with Meson on my system.

By the way, I haven't yet done a full review of this patch, I only
chimed in to help out with Meson. But I can have a deeper look once v5
was sent out.

Thanks!

Patrick